SignSecure Sign PadSignSecure Sign Pad
Templates

Get Template by ID

Retrieve a specific template by its ID.

GET
/templates/{templateId}

Retrieve a specific template by its ID.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

templateId*string

The template ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/templates/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "fileName": "string",
  "fileSize": 0,
  "status": "active",
  "recipients": [
    {
      "email": "",
      "phone": "+0000000000",
      "name": "string",
      "order": 1,
      "role": "signer",
      "signatureMethod": "electronic",
      "verificationMethod": "link_only",
      "signaturePlacement": {
        "type": "text",
        "searchText": "string",
        "pages": [
          0
        ],
        "position": "above",
        "gap": 0,
        "width": 200,
        "height": 50
      },
      "id": "string"
    }
  ],
  "workflow": {
    "mode": "sequential",
    "verificationMethod": "link_only",
    "message": "string",
    "redirectUrl": "https://app.example.com/signing-complete",
    "emailNotifications": "all",
    "whatsappNotifications": "all",
    "estampConfig": {
      "state": "CH",
      "article": "string",
      "amount": "string",
      "considerationAmount": "string",
      "payee": "first-party",
      "hardcopy": "y",
      "firstParty": {
        "name": "string",
        "email": "user@example.com",
        "mobile": "string",
        "address": "string"
      },
      "secondParty": {
        "name": "string",
        "email": "user@example.com",
        "mobile": "string",
        "address": "string"
      },
      "shipping": {
        "name": "string",
        "address": "string",
        "city": "string",
        "state": "string",
        "pincode": "string",
        "mobile": "string"
      }
    },
    "estampEnabled": true
  },
  "usageCount": 0,
  "lastUsedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "formFields": [
    {
      "defaultValue": "string",
      "placeholder": "string",
      "options": [
        "string"
      ],
      "validation": {
        "min": 0,
        "max": 0,
        "pattern": "string",
        "minLength": 0,
        "maxLength": 0
      },
      "multiline": true,
      "showLabel": true,
      "fontFamily": "sans-serif",
      "fontWeight": "normal",
      "fontStyle": "normal",
      "fontSize": 6,
      "textColor": "string",
      "checkboxSize": 0,
      "checkboxLabelFontSize": 8,
      "radioGroup": {
        "options": [
          {
            "value": "string",
            "label": "string",
            "pageNumber": 0,
            "x": 0,
            "y": 0,
            "width": 0,
            "height": 0
          }
        ],
        "layout": "AUTO",
        "direction": "VERTICAL",
        "spacing": 0,
        "radioSize": 0,
        "labelFontSize": 0
      },
      "id": "string",
      "type": "text",
      "fieldKey": "string",
      "pageNumber": 1,
      "x": 0,
      "y": 0,
      "width": 1,
      "height": 1,
      "label": "string",
      "required": true,
      "readOnly": true,
      "textAlign": "left",
      "assignee": {
        "type": "recipient",
        "templateRecipientId": "string"
      }
    }
  ]
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Template not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}